org.apache.cxf.staxutils

## Class StaxUtils.StreamToDOMContext

- java.lang.Object
- - org.apache.cxf.staxutils.StaxUtils.StreamToDOMContext

- Enclosing class:
    StaxUtils

      public static class StaxUtils.StreamToDOMContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamToDOMContext(boolean repairing, boolean recordLoc, boolean threshold)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decreaseCount()`
    `int` | `getCount()`
    `int` | `getStackSize()`
    `int` | `incrementCount()`
    `boolean` | `isRecordLoc()`
    `boolean` | `isRepairing()`
    `boolean` | `isStackEmpty()`
    `boolean` | `isThreshold()`
    `Node` | `popFromStack()`
    `void` | `pushToStack(Node node)`
    `void` | `setRecordLoc(boolean recordLoc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamToDOMContext

          public StreamToDOMContext(boolean repairing,
                                    boolean recordLoc,
                                    boolean threshold)

  - ### Method Detail

    - #### setRecordLoc

          public void setRecordLoc(boolean recordLoc)

    - #### isRecordLoc

          public boolean isRecordLoc()

    - #### isRepairing

          public boolean isRepairing()

    - #### isThreshold

          public boolean isThreshold()

    - #### incrementCount

          public int incrementCount()

    - #### decreaseCount

          public int decreaseCount()

    - #### getCount

          public int getCount()

    - #### pushToStack

          public void pushToStack(Node node)

    - #### popFromStack

          public Node popFromStack()

    - #### getStackSize

          public int getStackSize()

    - #### isStackEmpty

          public boolean isStackEmpty()

Apache CXF